Subject: Re: Problems in tc-matchall.8, tc-sample.8

From: Stephen Hemminger <[email-masked]>
Date: Tue, 12 Jun 2018 17:24:39 -0700

On Tue, 12 Jun 2018 19:41:03 -0400
"Eric S. Raymond" <[email-masked]> wrote:

> Stephen Hemminger <[email-masked]>:
> > On Tue, 12 Jun 2018 18:00:03 -0400
> > "Eric S. Raymond" <[email-masked]> wrote:
> >   
> > > Stephen Hemminger <[email-masked]>:  
> > > > Please resubmit as real patch with signed-off-by    
> > > 
> > > I would like to follow your intructions, but that description leaves me
> > > not quite certain what you want. A git format-patch thing?   If so, what
> > > git url should I clone from?  
> > 
> > iproute patches are handled the same as the Linux kernel.
> > Please submit patches to the [email-masked] with the same kind
> > of diff format (and signed-off-by) as the kernel.
> > 
> > Like the kernel, patches which are pure bug fixes go to the master
> > branch, and patches with new functionality are handled with the iproute2-next repository.  
> 
> Then I should bugfix against this repository?
> 
> https://github.com/shemminger/iproute2

The upstream repositories for master and net-next branch are now
split. Master branch is at:
  git://git.kernel.org/pub/scm/network/iproute2/iproute2.gti

and patches for next release are in (master branch):
  git://git.kernel.org/pub/scm/network/iproute2/iproute2-next.git

Github is an out of date clone (like all the kernels on there).